@import "../global.css";

/* Align Center - Tall */
.fwm-column-thirds .fwm-nestable-flex {
  align-items: center;
}

/* Align Center - Wide */
.fwm-column-halves .fwm-nestable-flex {
  align-items: center;
}

div#root .fwm-lightTheme {
  --secondary-svg: var(--primary);
}

/* DBA logo */
div#root .fwm-team-header-entity-logo-image {
  width: 18.75rem;
}

/* Primary H2 */
.fwm-section-header .fwm-section-header-hgroup {
  margin-bottom: 1.5rem;
}
.fwm-section-header .fwm-section-header-hgroup .fwm-section-header-title-text {
  font-weight: 700;
}
.fwm-section-header .fwm-section-header-hgroup::after {
  content: "";
  display: block;
  width: 6.25rem;
  height: 0.1875rem;
  background: var(--secondary);
  margin: 0.75rem 0 0.75rem;
}

.fwm-lightTheme .fwm-section-header .fwm-section-header-hgroup .fwm-section-header-title-text {
  color: var(--primary-text);
}

.fwm-section-header.fwm-text-align-center .fwm-section-header-hgroup::after {
  margin: 0.75rem auto;
}

@media (min-width: 48rem) {
  .fwm-section-header hgroup.fwm-section-header-hgroup .fwm-section-header-title-text {
    font-size: 1.75rem;
  }
}
@media (min-width: 64rem) {
  .fwm-section-header hgroup.fwm-section-header-hgroup .fwm-section-header-title-text {
    font-size: 2rem;
  }
}
/* Contact Map Header */
.fwm-team-map-title.fwm-section-header-title-text {
  font-weight: 700;
}
.fwm-team-map-title.fwm-section-header-title-text::after {
  content: "";
  display: block;
  width: 6.25rem;
  height: 0.1875rem;
  background: var(--secondary);
  margin: 0.75rem 0 0.75rem;
}

.fwm-lightTheme .fwm-team-map-title.fwm-section-header-title-text {
  color: var(--primary);
}

/* Primary H3 */
h3.fwm-primary-h3.fwm-primary-h3 {
  font-weight: 700;
}
h3.fwm-primary-h3.fwm-primary-h3::after {
  width: 6.25rem;
  height: 0.1875rem;
  background: var(--secondary);
}

.fwm-lightTheme h3.fwm-primary-h3.fwm-primary-h3 {
  color: var(--primary);
}

/* Accordion Headers */
summary.fwm-pivot-accordion-summary span[class*=SpanStyled],
div.accordion-container .accordion-item-title,
details.mce-accordion summary {
  font-weight: 700;
}

.fwm-lightTheme summary.fwm-pivot-accordion-summary span[class*=SpanStyled],
.fwm-lightTheme div.accordion-container .accordion-item-title,
.fwm-lightTheme details.mce-accordion summary {
  color: var(--primary-text) !important;
}

/* Hero Gradient/Box */
.fwm-hero-gradient.fwm-hero-box::before {
  content: "";
  position: absolute;
  inset: 0;
  z-index: 0;
  background-image: inherit;
  background-size: inherit;
  background-position: inherit;
  background-repeat: inherit;
  background-origin: inherit;
  background-clip: inherit;
  filter: grayscale(100%);
}
.fwm-hero-gradient.fwm-hero-box * {
  position: relative;
  z-index: 10;
}
.fwm-hero-gradient.fwm-hero-box .fwm-hero-large-text-container hgroup {
  position: relative;
}
.fwm-hero-gradient.fwm-hero-box .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h1,
.fwm-hero-large-heading h2 {
  text-transform: uppercase;
  padding-bottom: 0;
  font-size: 3em;
  letter-spacing: 0.5rem;
  font-weight: 900;
}
.fwm-hero-gradient.fwm-hero-box .fwm-hero-large-text-container hgroup .fwm-hero-large-supporting-text p {
  font-size: 1.5rem;
  letter-spacing: 0.5rem;
  text-transform: uppercase;
}

@media (min-width: 48rem) {
  .fwm-hero-gradient.fwm-hero-box .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h1,
.fwm-hero-large-heading h2 {
    font-size: 4rem;
  }
  .fwm-hero-gradient.fwm-hero-box .fwm-hero-large-text-container hgroup .fwm-hero-large-supporting-text p {
    font-size: 1.65rem;
  }
}
@media (min-width: 64rem) {
  .fwm-hero-gradient.fwm-hero-box .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h1,
.fwm-hero-large-heading h2 {
    font-size: 5rem;
  }
  .fwm-hero-gradient.fwm-hero-box .fwm-hero-large-text-container hgroup .fwm-hero-large-supporting-text p {
    font-size: 1.85rem;
  }
}
/* Contact Form - Side Locations (Flat) */
.fwm-team-contact-us .fwm-contact-us-location-aside-title {
  margin-bottom: 0;
}
.fwm-team-contact-us .fwm-contact-us-location-aside-title::after {
  content: "";
  display: block;
  width: 6.25rem;
  height: 0.1875rem;
  background: var(--secondary);
  margin: 0.75rem 0 0.75rem;
}
.fwm-team-contact-us .fwm-contact-us-location-aside-title .fwm-contact-us-location-name {
  font-size: 1.5rem;
  font-weight: 700;
  line-height: 1;
  text-transform: uppercase;
}

.fwm-lightTheme.fwm-team-contact-us .fwm-contact-us-location-aside-title .fwm-contact-us-location-name {
  color: var(--primary-text);
}

@media (min-width: 48rem) {
  .fwm-team-contact-us .fwm-contact-us-location-aside-title .fwm-contact-us-location-name {
    font-size: 1.75rem;
  }
}
@media (min-width: 64rem) {
  .fwm-team-contact-us .fwm-contact-us-location-aside-title .fwm-contact-us-location-name {
    font-size: 2rem;
  }
}
/* Custom Photo */
section.fwm-photo-panel.fwm-nestable-no-subcomponents.fwm-not-subcomponent .fwm-PhotoComponent-container {
  position: relative;
  align-self: flex-start;
}
section.fwm-photo-panel.fwm-nestable-no-subcomponents.fwm-not-subcomponent .fwm-PhotoComponent-container picture {
  position: relative;
  z-index: 5;
}
section.fwm-photo-panel.fwm-nestable-no-subcomponents.fwm-not-subcomponent .fwm-PhotoComponent-container::after {
  content: "";
  height: 100%;
  width: 100%;
  background: var(--primary);
  position: absolute;
  top: -1rem;
  left: -1rem;
}
section.fwm-photo-panel.fwm-nestable-no-subcomponents.fwm-not-subcomponent.fwm-media-right .fwm-PhotoComponent-container::after {
  left: initial;
  right: -1rem;
}

/* Contact Form - Side */
.fwm-contact-us-form-aside > .fwm-contact-us-location:not(:first-child) {
  display: none;
}